Bug 850585 - [abrt] i7z-0.27.1-1.fc17: strncmp: Process /usr/sbin/i7z was killed by signal 11 (SIGSEGV)
[abrt] i7z-0.27.1-1.fc17: strncmp: Process /usr/sbin/i7z was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: i7z (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthieu Saulnier
Fedora Extras Quality Assurance
abrt_hash:b7e0f444d2f904ad66c52f0a377...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 17:41 EDT by patrick korsnick
Modified: 2013-08-01 12:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:55:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (77.42 KB, text/plain)
2012-08-21 17:41 EDT, patrick korsnick
no flags Details

  None (edit)
Description patrick korsnick 2012-08-21 17:41:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        i7z --version
comment:        i ran i7z --version and it Segmentation Faulted. same behavior if run as root or normal user
crash_function: strncmp
executable:     /usr/sbin/i7z
kernel:         3.5.2-1.fc17.x86_64
pid:            28141
pwd:            /proc/acpi
time:           Tue 21 Aug 2012 03:16:39 PM MDT
uid:            1000
username:       ppk

backtrace:      Text file, 79280 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ppk/2

core_backtrace:
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x8596c __strncmp_sse2 libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0xd72cf _getopt_internal_r libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0xd818b _getopt_internal libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0xd8213 getopt_long libc.so.6 -
:21a1195bcda1eb76bc68e84bb3ee3166d4b42c20 0x1aea - [exe] -

dso_list:
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libc-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345480151
:/usr/lib64/libncurses.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/librt-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345480151
:/usr/lib64/ld-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345480151
:/usr/sbin/i7z i7z-0.27.1-1.fc17.x86_64 (Fedora Project) 1345583690
:/usr/lib64/libdl-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345480151
:/usr/lib64/libpthread-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345480151

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=neuromancer
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/ppk/keyring-m3fIf2/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=46144587
:GNOME_KEYRING_CONTROL=/run/user/ppk/keyring-m3fIf2
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ppk
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/ppk/keyring-m3fIf2/ssh
:USERNAME=ppk
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1186,unix/unix:/tmp/.ICE-unix/1186
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ppk/.local/bin:/home/ppk/bin
:MAIL=/var/spool/mail/ppk
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/proc/acpi
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1182
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/ppk
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=ppk
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LS13DJCzXu,guid=83eeb2046dd3cc4484991afd0000003c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ppk
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-ppk-Xb8W9e/database
:OLDPWD=/home/ppk
:_=/usr/sbin/i7z

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 126998               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       126998               126998               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-0040e000 r-xp 00000000 08:03 161324                             /usr/sbin/i7z
:0060e000-0060f000 rw-p 0000e000 08:03 161324                             /usr/sbin/i7z
:3c58c00000-3c58c20000 r-xp 00000000 08:03 135292                         /usr/lib64/ld-2.15.so
:3c58e1f000-3c58e20000 r--p 0001f000 08:03 135292                         /usr/lib64/ld-2.15.so
:3c58e20000-3c58e21000 rw-p 00020000 08:03 135292                         /usr/lib64/ld-2.15.so
:3c58e21000-3c58e22000 rw-p 00000000 00:00 0 
:3c59000000-3c591ac000 r-xp 00000000 08:03 136152                         /usr/lib64/libc-2.15.so
:3c591ac000-3c593ac000 ---p 001ac000 08:03 136152                         /usr/lib64/libc-2.15.so
:3c593ac000-3c593b0000 r--p 001ac000 08:03 136152                         /usr/lib64/libc-2.15.so
:3c593b0000-3c593b2000 rw-p 001b0000 08:03 136152                         /usr/lib64/libc-2.15.so
:3c593b2000-3c593b7000 rw-p 00000000 00:00 0 
:3c59400000-3c59416000 r-xp 00000000 08:03 148575                         /usr/lib64/libpthread-2.15.so
:3c59416000-3c59616000 ---p 00016000 08:03 148575                         /usr/lib64/libpthread-2.15.so
:3c59616000-3c59617000 r--p 00016000 08:03 148575                         /usr/lib64/libpthread-2.15.so
:3c59617000-3c59618000 rw-p 00017000 08:03 148575                         /usr/lib64/libpthread-2.15.so
:3c59618000-3c5961c000 rw-p 00000000 00:00 0 
:3c59800000-3c59803000 r-xp 00000000 08:03 138204                         /usr/lib64/libdl-2.15.so
:3c59803000-3c59a02000 ---p 00003000 08:03 138204                         /usr/lib64/libdl-2.15.so
:3c59a02000-3c59a03000 r--p 00002000 08:03 138204                         /usr/lib64/libdl-2.15.so
:3c59a03000-3c59a04000 rw-p 00003000 08:03 138204                         /usr/lib64/libdl-2.15.so
:3c59c00000-3c59c07000 r-xp 00000000 08:03 150825                         /usr/lib64/librt-2.15.so
:3c59c07000-3c59e06000 ---p 00007000 08:03 150825                         /usr/lib64/librt-2.15.so
:3c59e06000-3c59e07000 r--p 00006000 08:03 150825                         /usr/lib64/librt-2.15.so
:3c59e07000-3c59e08000 rw-p 00007000 08:03 150825                         /usr/lib64/librt-2.15.so
:3c68c00000-3c68c25000 r-xp 00000000 08:03 170711                         /usr/lib64/libtinfo.so.5.9
:3c68c25000-3c68e24000 ---p 00025000 08:03 170711                         /usr/lib64/libtinfo.so.5.9
:3c68e24000-3c68e28000 r--p 00024000 08:03 170711                         /usr/lib64/libtinfo.so.5.9
:3c68e28000-3c68e29000 rw-p 00028000 08:03 170711                         /usr/lib64/libtinfo.so.5.9
:3c6ec00000-3c6ec23000 r-xp 00000000 08:03 170714                         /usr/lib64/libncurses.so.5.9
:3c6ec23000-3c6ee22000 ---p 00023000 08:03 170714                         /usr/lib64/libncurses.so.5.9
:3c6ee22000-3c6ee23000 r--p 00022000 08:03 170714                         /usr/lib64/libncurses.so.5.9
:3c6ee23000-3c6ee24000 rw-p 00023000 08:03 170714                         /usr/lib64/libncurses.so.5.9
:7f62fbf04000-7f62fbf09000 rw-p 00000000 00:00 0 
:7f62fbf21000-7f62fbf22000 rw-p 00000000 00:00 0 
:7fff657b7000-7fff657d8000 rw-p 00000000 00:00 0                          [stack]
:7fff657ff000-7fff65800000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/dev/pts/4
:pos:	0
:flags:	0102002
:1:/dev/pts/4
:pos:	0
:flags:	0102002
:2:/dev/pts/4
:pos:	0
:flags:	0102002

smolt_data:
:
:
:General
:=================================
:UUID: 11b4bc26-8b3c-46b6-99fd-c0cc68e2be7b
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4585.44
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2820QM CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2301
:System Memory: 15896
:System Swap: 4095
:Vendor: LENOVO
:System: 4270CTO ThinkPad W520
:Form factor: Notebook
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:260:6058:8655) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:6058:8655) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4147:404:6058:8655) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:6058:8655) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(4318:3050:6058:8655) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(4318:3578:6058:8655) pci, nouveau, VIDEO, GF108 [Quadro 1000M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 15118869 6079881 5926307 3842048 3316047 3316047
:

var_log_messages:
:Aug 21 15:14:50 neuromancer yum[27446]: Installed: i7z-0.27.1-1.fc17.x86_64
:Aug 21 15:16:14 neuromancer kernel: [16403.783103] i7z[27979]: segfault at 100000000 ip 0000003c59085f44 sp 00007fff3800f918 error 4 in libc-2.15.so[3c59000000+1ac000]
:Aug 21 15:16:14 neuromancer abrt[27980]: Saved core dump of pid 27979 (/usr/sbin/i7z) to /var/spool/abrt/ccpp-2012-08-21-15:16:14-27979 (344064 bytes)
:Aug 21 15:16:39 neuromancer kernel: [16429.134869] i7z[28141]: segfault at 100000001 ip 0000003c5908596c sp 00007fff657d4a68 error 4 in libc-2.15.so[3c59000000+1ac000]
:Aug 21 15:16:39 neuromancer abrt[28142]: Saved core dump of pid 28141 (/usr/sbin/i7z) to /var/spool/abrt/ccpp-2012-08-21-15:16:39-28141 (344064 bytes)
Comment 1 patrick korsnick 2012-08-21 17:41:05 EDT
Created attachment 606068 [details]
File: backtrace
Comment 2 Matthieu Saulnier 2012-08-26 19:38:40 EDT
Thanks for the bug report, I will notify upstream of this.
Comment 3 Fedora Update System 2012-09-14 07:07:05 EDT
i7z-0.27.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/i7z-0.27.2-1.fc18
Comment 4 Fedora Update System 2012-09-14 07:08:50 EDT
i7z-0.27.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/i7z-0.27.2-1.fc17
Comment 5 Fedora Update System 2012-09-14 07:09:55 EDT
i7z-0.27.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/i7z-0.27.2-1.fc16
Comment 6 Fedora Update System 2012-09-14 07:10:49 EDT
i7z-0.27.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/i7z-0.27.2-1.el6
Comment 7 Fedora Update System 2012-09-16 13:09:12 EDT
Package i7z-0.27.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing i7z-0.27.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13932/i7z-0.27.2-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-23 01:04:32 EDT
i7z-0.27.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-26 05:09:23 EDT
i7z-0.27.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-26 05:13:23 EDT
i7z-0.27.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 patrick korsnick 2012-10-02 00:56:40 EDT
[root@neuromancer ppk]# rpm -qa | grep -i i7z
i7z-0.27.2-1.fc17.x86_64
[root@neuromancer ppk]# i7z --version
Segmentation fault (core dumped)

same behavior with updated package. this bug is not fixed and suggest re-opening.
Comment 12 abhi 2012-10-02 02:09:58 EDT
hey patrick

can you upload the backtrace?

i suspect there is something going on with getopt and when you pass --version to the program.

so can you run the program without the --version value? just sudo i7z

thanks
Comment 13 Fedora End Of Life 2013-07-04 01:43:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 12:55:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.